Create response (OpenAI Responses API)

post/v1/responses

Create a model response through the OpenAI Responses API. Multi-turn conversations, tool calling, and reasoning are supported.

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Request body

Content-Type:application/json

FieldTypeRequiredDescription
modelstring—
inputstring | object[]—The input, either a string or an array of messages
instructionsstring——
max_output_tokensinteger——
temperaturenumber——
top_pnumber——
streamboolean——
toolsobject[]——
tool_choicestring | object——
reasoningobject——
effortstringlowmediumhigh——
summarystring——
previous_response_idstring——
truncationstringautodisabled——

Responses

200Response created

FieldTypeRequiredDescription
idstring——
objectstring——
created_atinteger——
statusstringcompletedfailedin_progressincomplete——
modelstring——
outputobject[]——
typestring——
idstring——
statusstring——
rolestring——
contentobject[]——
typestring——
textstring——
usageUsage——
prompt_tokensinteger—Number of prompt tokens
completion_tokensinteger—Number of completion tokens
total_tokensinteger—Total number of tokens
prompt_tokens_detailsobject——
cached_tokensinteger——
text_tokensinteger——
audio_tokensinteger——
image_tokensinteger——
completion_tokens_detailsobject——
text_tokensinteger——
audio_tokensinteger——
reasoning_tokensinteger——

Example request

curl -X POST 'https://api.oletoken.ai/v1/responses' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "string"
  }'